Subject: Re: linuxppc-2.4.30-pre1 crashes with root fs on Xilinx SystemACE

From: Peter Ryser <[email-masked]>
Date: Wed, 28 Sep 2005 02:32:11 -0700

Some time ago we did some tests with bonnie++ on Linux running on the 
PPC405 in a Virtex-II Pro FPGA. You can expect the following performance:

Read peak: 629 KB/s
Write peak: 299 KB/s

Not considering network overhead, a 10MB file should take less than a 
minute to update.

- Peter

Tony Lee wrote:

> Keith, 
>
> Some suggestions, before you verify your hw board/FPGA works fine with 
> SYSACE,
>     * don't use sysace as root fs.
>     * use a ram fs as root fs.  
>     * Next, load sysace driver a loadable driver module.  It works, I 
> tried it.
>     * check mount read only and see if it works.
>     * Next, mount it writable.
>
> We have some issues with sysace driver initially, everything works out 
> fine later.
> There were small errors in our HW layout.
>
> I had to hack the sysace driver left and right to id the problem.  But 
> at the
> end, after I fixed the layout problem from the fpga's ucf file, the 
> original driver
> run perfectly without any modification.
>
> In my experiences, the ppc linux distribution and its linux sysace 
> driver are good
> if everything is setup correctly.
>
> One minor issues:  The sysace driver's write performance sucks.  I 
> have to explain
> to others why the upgrade 10 MBytes files with usb flash writer takes 
> tens of
> seconds.  When we do it from linux (nfs or ftp), it tooks minutes to sync.
>
> Peter, maybe you can push the xilinx a bit on sysace write 
> performance? :-)
>
> -Tony
>
> On 8/29/05, Peter Ryser <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Hi Keith,
>
>     I sent you a private email but for other interested people:
>     Downloading the latest linuxppc-2.4 kernel I could boot from and
>     access
>     System ACE CF without problems on a ML403 (Virtex-4, 4VFX12) and a
>     ML310
>     (Virtex-II Pro, 2VP30) using EDK 7.1.2. In both cases I started with
>     config_xilinx_ml300.
>
>     - Peter
>
>
>
>     Keith J Outwater wrote:
>
>     >Hello -
>     >Per a previous suggestion from this list, I rsynced the linuxppc-2.4
>     >kernel sources from MontaVista and modified the kernel to run on
>     my custom
>     >ppc405/VirtexII Pro based system with U-Boot as the bootloader.
>     >When I try to use the SystemACE device as the root filesystem,
>     the kernel
>     >crashes with a sig 11.  Looking at the 'oops' output it appears  the
>     >SystemACE driver may be to blame.  The crash is random -
>     sometimes I get
>     >all the way to login as root and then things crash on a file copy
>     or a
>     >file read.
>     >Before I start digging deeper, is anyone running a VirtexIIPro based
>     >system with the root filesystem in the CF card attached to a
>     SystemACE?
>     >I'm wondering if I really have the best kernel and SystemACE driver.
>     >BTW, I'm developing the hardware design using Xilinx EDK 7.02i.
>     >Thanks,
>     >Keith
>     >_______________________________________________
>     >Linuxppc-embedded mailing list
>     > [email-masked] <mailto:[email-masked]>
>     >https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>     >
>     >
>     >
>     >
>
>
>
>     _______________________________________________
>     Linuxppc-embedded mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>     <https://ozlabs.org/mailman/listinfo/linuxppc-embedded>
>
>
>
>
> -- 
> -Tony
> Having fun with FPGA HW + ppc + Linux